lkml.org 
[lkml]   [2007]   [Jul]   [22]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: Linus 2.6.23-rc1
On 00:22, Andi Kleen wrote:
> > /usr/bin/ld: section .text [ffffffffff700500 -> ffffffffff7007e3] overlaps section .gnu.version_d [ffffffffff7004d8 -> ffffffffff70050f]
>
> Does this patch fix it?

Nope, with 0x600 I still get the same error. But it helped to further
increase VDSO_TEXT_OFFSET to 0xc00. I tried 0x700, 0x800,... and 0xc00
is the smallest value in this series that makes the error go away, i.e.
the patch below works for me.

Thanks
Andre


diff --git a/arch/x86_64/vdso/voffset.h b/arch/x86_64/vdso/voffset.h
index 5304204..61667d5 100644
--- a/arch/x86_64/vdso/voffset.h
+++ b/arch/x86_64/vdso/voffset.h
@@ -1 +1 @@
-#define VDSO_TEXT_OFFSET 0x500
+#define VDSO_TEXT_OFFSET 0xc00

--
The only person who always got his work done by Friday was Robinson Crusoe
[unhandled content-type:application/pgp-signature]
\
 
 \ /
  Last update: 2007-07-23 01:31    [W:0.164 / U:5.232 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site